FIX::SocketRecvFailed Struct Reference

Socket recv operation failed. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketRecvFailed:
[legend]
Collaboration diagram for FIX::SocketRecvFailed:
[legend]

## Public Member Functions

| SocketRecvFailed (ssize_t size)
| SocketRecvFailed (const std::string &what)
Public Member Functions inherited from FIX::SocketException
| SocketException ()
| SocketException (const std::string &what)
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Static Public Member Functions inherited from FIX::SocketException
static std::string | errorToWhat ()
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Socket recv operation failed.

Definition at line 278 of file Exceptions.h.

## Constructor & Destructor Documentation

## SocketRecvFailed() [1/2]

FIX::SocketRecvFailed::SocketRecvFailed | ( | ssize_t | size | ) |

inline

Definition at line 280 of file Exceptions.h.

: SocketException( size == 0 ? "Connection reset by peer." : size < 0 ? errorToWhat() : "Success." ) {}
FIX::SocketException::errorToWhat
static std::string errorToWhat()
Definition: Exceptions.h:253
FIX::SocketException::SocketException
SocketException()
Definition: Exceptions.h:247

## SocketRecvFailed() [2/2]

FIX::SocketRecvFailed::SocketRecvFailed | ( | const std::string & | what | ) |

inline

Definition at line 282 of file Exceptions.h.

: SocketException( what ) {}

The documentation for this struct was generated from the following file:

- Exceptions.h